Package org.apache.sis.coverage

## Class MismatchedCoverageRangeException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - IllegalArgumentException
        - - MismatchedCoverageRangeException

- All Implemented Interfaces:
    `Serializable`

      public class MismatchedCoverageRangeException
      extends IllegalArgumentException

  Thrown when the number of bands or sample dimensions specified to a method is not equal to the number expected by a coverage.
  Since:
    1.0
  See Also:
    `MismatchedDimensionException`, Serialized Form

  Defined in the `sis-feature` module

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MismatchedCoverageRangeException()` | Creates an exception with no message.
    `MismatchedCoverageRangeException​(String message)` | Creates an exception with the specified message.
    `MismatchedCoverageRangeException​(String message, Throwable cause)` | Creates an exception with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MismatchedCoverageRangeException

          public MismatchedCoverageRangeException()

      Creates an exception with no message.

    - #### MismatchedCoverageRangeException

          public MismatchedCoverageRangeException​(String message)

      Creates an exception with the specified message.
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.

    - #### MismatchedCoverageRangeException

          public MismatchedCoverageRangeException​(String message,
                                                  Throwable cause)

      Creates an exception with the specified message and cause.
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.
        `cause` - the cause, saved for later retrieval by the `Throwable​.getCause()` method.